<< impzlength | FOSSEE_Signal_Processing_Toolbox | inv_residue >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > intfilt

# intfilt

This function estimate Interpolated FIR Filter Design.

### Syntax

    h=intfilt(R,L,freqmult)
    [h a]=intfilt(R,L,freqmult)

### Parameters

R:

  Samples. It should be numeric

L:

  bandlimited interpolation samples. It must be nonzero.

freqmult:

  bandlimitedness of ALPHA times the Nyquist frequency, IT can be numeric or character ('B' or 'L', B is length

h:

  linear phase FIR filter.

### Examples

    // Interpolated FIR filter design and frequency response
    // Design parameters
    R = 4
    L = 3
    freqmult = 'l'  // low-bandwidth interpolation
    // Design the interpolated FIR filter
    [h, a] = intfilt(R, L, freqmult)
    // Plot impulse response
    n = 0:length(h)-1;
    scf(0);
    plot2d3(n', h');
    xlabel("n");
    ylabel("Amplitude");
    title("Impulse Response of Interpolated FIR Filter");
    scf(1);
    freqz(h, 1);

### Authors

- Jitendra Singh

Report an issue
<< impzlength | FOSSEE_Signal_Processing_Toolbox | inv_residue >>